Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.greenlab.conf
Class GreenLabPropertyFileReader

    java.lang.Object
      de.grogra.greenlab.conf.GreenLabPropertyFileReader

    public class GreenLabPropertyFileReader

extends java.lang.Object

The Property File Reader this class reads the *.sci file and store as a HashMap, and is updated on time. this class outputs the parameters to *.rgg file

Author:
  Cong Ding

Constructor Summary
`GreenLabPropertyFileReader()`

Method Summary
`static GreenLabPropertyFileReader` | `get()`
`java.util.HashMap<java.lang.String,java.lang.String>` | `getProperties()`
`java.lang.String` | `getProperty(java.lang.String key)`
`java.lang.String` | `getProperty(java.lang.String key, int pos)`
`java.lang.String` | `getProperty(java.lang.String key, int age, int pos)`
`java.lang.String` | `getRgg()`
`java.lang.String` | `getSci()`
`void` | `reloadRgg(java.util.HashMap<?,?> hm)`
`void` | `reset()`
`void` | `setFile(Context ctx)`
`void` | `setFile(FileSource fs)`
`void` | `setFile(java.lang.String fileName)`
`boolean` | `setProperty(java.lang.String key, java.lang.String value)`
`boolean` | `setProperty(java.lang.String key, java.lang.String value, int pos)`
`boolean` | `setProperty(java.lang.String key, java.lang.String value, int age, int pos)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GreenLabPropertyFileReader

    public GreenLabPropertyFileReader()

Method Detail

### get

    public static GreenLabPropertyFileReader get()

### getProperties

    public java.util.HashMap<java.lang.String,java.lang.String> getProperties()

### getProperty

    public java.lang.String getProperty(java.lang.String key)

### getProperty

    public java.lang.String getProperty(java.lang.String key,
                                        int pos)

### getProperty

    public java.lang.String getProperty(java.lang.String key,
                                        int age,
                                        int pos)

### getRgg

    public java.lang.String getRgg()

### getSci

    public java.lang.String getSci()

### reloadRgg

    public void reloadRgg(java.util.HashMap<?,?> hm)

### reset

    public void reset()

### setFile

    public void setFile(Context ctx)

### setFile

    public void setFile(FileSource fs)

### setFile

    public void setFile(java.lang.String fileName)

### setProperty

    public boolean setProperty(java.lang.String key,
                               java.lang.String value)

### setProperty

    public boolean setProperty(java.lang.String key,
                               java.lang.String value,
                               int pos)

### setProperty

    public boolean setProperty(java.lang.String key,
                               java.lang.String value,
                               int age,
                               int pos)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD